/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OpenMS", "index.html", [
    [ "OpenMS / TOPP documentation", "index.html", "index" ],
    [ "OpenMS Developer Quickstart Guide", "tutorial.html", [
      [ "Introduction", "tutorial.html#tutorial_introduction", [
        [ "General Information", "tutorial.html#tutorial_gf", null ],
        [ "The structure of the OpenMS Framework", "tutorial.html#tutorial_structure", null ],
        [ "Developing with OpenMS", "tutorial.html#tutorial_developing", null ],
        [ "Mass spectrometry terms", "tutorial.html#tutorial_terms", null ]
      ] ],
      [ "OpenMS Library", "tutorial.html#tutorial_library", [
        [ "Overview on Central Algorithms and Methods", "tutorial.html#tutorial_library_overview", null ],
        [ "Kernel Classes", "tutorial.html#tutorial_library_kernelclasses", null ],
        [ "Peaks", "tutorial.html#tutorial_library_kernelclasses_peaks", null ],
        [ "Spectra", "tutorial.html#tutorial_library_kernelclasses_spectra", null ],
        [ "Chromatograms", "tutorial.html#tutorial_library_kernelclasses_chrom", null ],
        [ "Precursor", "tutorial.html#tutorial_library_kernelclasses_precursor", null ],
        [ "MRMTransitionGroup", "tutorial.html#tutorial_library_kernelclasses_mrm", null ],
        [ "Maps", "tutorial.html#tutorial_library_kernelclasses_map", null ],
        [ "MSExperiment", "tutorial.html#tutorial_library_kernelclasses_mse", null ],
        [ "FeatureMap", "tutorial.html#tutorial_library_kernelclasses_fmap", null ],
        [ "File Formats", "tutorial.html#tutorial_fileformat", null ],
        [ "Logging", "tutorial.html#tutorial_logging", null ],
        [ "Identifications", "tutorial.html#tutorial_identifications", null ],
        [ "Chemistry", "tutorial.html#tutorial_chemistry", null ],
        [ "Element, ElementDB, EmpiricalFormula", "tutorial.html#tutorial_element", null ],
        [ "AASequence - Representing a Peptide (amino acid sequence)", "tutorial.html#tutorial_aaseq", null ],
        [ "Residue and ResidueDB - Dealing with residues / amino acids", "tutorial.html#tutorial_residue", null ],
        [ "ResidueModification, ModificationsDB", "tutorial.html#tutorial_residuemod", null ],
        [ "TheoreticalSpectrumGenerator", "tutorial.html#tutorial_tsg", null ],
        [ "DigestionEnzymeProtein, ProteaseDB and ProteaseDigestion", "tutorial.html#tutorial_dep", null ]
      ] ],
      [ "Tool development", "tutorial.html#tutorial_tooldev", [
        [ "TOPP-Tool", "tutorial.html#tutorial_topp", null ],
        [ "Create and register a minimal tool in OpenMS", "tutorial.html#tutorial_create", null ],
        [ "Define tool parameters", "tutorial.html#tutorial_param_def", null ],
        [ "Read tool parameters", "tutorial.html#tutorial_param_read", null ],
        [ "Read Input Files", "tutorial.html#tutorial_read", null ],
        [ "Add the tool functionality", "tutorial.html#tutorial_add", null ],
        [ "Write Output Files", "tutorial.html#tutorial_write", null ],
        [ "Adding TOPP tests", "tutorial.html#tutorial_test", null ],
        [ "Finish documentation", "tutorial.html#tutorial_doc", null ],
        [ "Polish your code", "tutorial.html#tutorial_polish", null ],
        [ "Open a pull request", "tutorial.html#tutorial_pull", null ]
      ] ],
      [ "Appendix", "tutorial.html#tutorial_appendix", [
        [ "D-dimensional data points", "tutorial.html#tutorial_d_dim", null ],
        [ "OpenMS as external project", "tutorial.html#tutorial_ext_project", null ]
      ] ]
    ] ],
    [ "pyOpenMS (Python bindings)", "pyOpenMS.html", null ],
    [ "FLASHDeconvWizard", "TOPP_FLASHDeconvWizard.html", null ],
    [ "FeatureLinkerBase", "TOPP_FeatureLinkerBase.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Experimental List", "experimental.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bug List", "bug.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"AccurateMassSearch_8cpp.html",
"TOPP_FeatureLinkerUnlabeledKD.html",
"coding_conventions.html#specify_exceptions"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';